classification
Title: Frame with -1 line number
Type: Stage:
Components: Interpreter Core Versions: Python 3.11
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Mark.Shannon, domdfcoding, gvanrossum, vstinner
Priority: normal Keywords:

Created on 2021-06-03 01:51 by vstinner, last changed 2021-06-06 18:12 by domdfcoding.

Messages (2)
msg394969 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-06-03 01:51
While debugging https://bugs.python.org/issue43921 on Windows, I got a traceback with a single frame and the frame line number is -1.

It looks like a Python 3.11 regression.

Mark, Guido: can it be related to recent optimization work done in the main branch?

See also bpo-44288 "unittest: _is_relevant_tb_level() fails because tb.tb_frame.f_globals=None".

======================================================================
FAIL: test_pha_required_nocert (test.test_ssl.TestPostHandshakeAuth)
----------------------------------------------------------------------
ssl.SSLEOFError: EOF occurred in violation of protocol (_ssl.c:2522)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\vstinner\python\main\lib\test\test_ssl.py", line -1, in test_pha_required_nocert
AssertionError: "certificate required" does not match "EOF occurred in violation of protocol (_ssl.c:2522)"
msg395209 - (view) Author: Dominic Davis-Foster (domdfcoding) * Date: 2021-06-06 18:12
Is this a re-regression of https://bugs.python.org/issue43933?
History
Date User Action Args
2021-06-06 18:12:37domdfcodingsetnosy: + domdfcoding
messages: + msg395209
2021-06-03 01:51:01vstinnercreate